package com.logicbig.example;

public class GcTest {

    public static void main(String[] args) {
        MyClassA myClassA = new MyClassA();
        for (int i = 0; i < 1000; i++) {
            MyClassB myClassB = new MyClassB(i, myClassA);
            System.gc();
        }
        System.out.println(" -- end --");
    }

    private static final class MyClassA {}

    private static final class MyClassB {
        double[] d = new double[1000000];
        private int name;
        MyClassA myClassA;

        public MyClassB(int name, MyClassA myClassA) {
            this.name = name;
            this.myClassA = myClassA;
        }

        @Override
        protected void finalize() throws Throwable {
            System.out.println("finalized: "+name);
        }
    }
}