package com.logicbig.example;

import java.util.ArrayList;
import java.util.List;

public class GcTest2 {

    public static void main(String[] args) {
        MyClassA myClassA = new MyClassA();
        for (int i = 0; i < 1000; i++) {
            MyClassB myClassB = new MyClassB(i);
            myClassA.list.add(myClassB);
            System.gc();
        }
    }

    private static final class MyClassA {
        List<MyClassB> list = new ArrayList<>();
    }

    private static final class MyClassB {
        double[] d = new double[1000000];
        private int name;

        public MyClassB(int name) {
            this.name = name;
        }

        @Override
        protected void finalize() throws Throwable {
            System.out.println("finalized: "+name);
        }
    }
}